%define section	free
%define gcj_support 1

Name:		monolog
Version:	1.8.6
Release:	%mkrel 5.1
Epoch:		0
Summary:	API for monitoring and logging
License:	LGPL
URL:		http://monolog.objectweb.org/
Group:		Development/Java
Source0:	monolog_1.8.6_src-RHCLEAN.tar.bz2
## cvs -d:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/monolog login
##  cvs -z3 -d:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/monolog export -r MONOLOG_1_8_3 monolog

BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	ant
BuildRequires:	log4j
BuildRequires:	objectweb-anttask
BuildRequires:  p6spy
BuildRequires:  velocity
BuildRequires:	junit
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# libgcj aot-compiled native libraries
%if %{gcj_support}
BuildRequires:    java-gcj-compat-devel >= 0:1.0.31
Requires(post):   java-gcj-compat >= 0:1.0.31
Requires(postun): java-gcj-compat >= 0:1.0.31
%endif

%description
Monolog is an API of monitoring and logging.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description	javadoc
Javadoc for %{name}.


%prep
%setup -q -n %{name}
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.tar.bz2" -exec rm -f {} \;

# also build ow_util_io.jar (required by medor)
mv shared.old/src/io src/org/objectweb/util
mv shared.old/archive/ow_util_io.xml archive

%build
export CLASSPATH=$(build-classpath log4j objectweb-anttask p6spy velocity \
junit)
pushd externals
for jar in $(echo $CLASSPATH | sed 's/:/ /g'); do
ln -sf ${jar} .
done
popd
%ant jar jdoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

rm -f output/dist/lib/ow_util_all*.jar
rm -f output/dist/lib/ow_util_ant*.jar
rm -f output/dist/lib/ow_util_log_test*.jar
for jar in output/dist/lib/*.jar; do
install -m 644 ${jar} \
$RPM_BUILD_ROOT%{_javadir}/%{name}/`basename ${jar} .jar`-%{version}.jar
done

(cd $RPM_BUILD_ROOT%{_javadir}//%{name} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/dist/jdoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -sf %{name}-%{version} %{name})

%if %{gcj_support}
%{_jvmdir}/java-gcj/bin/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{_bindir}/rebuild-gcj-db

%postun
%{_bindir}/rebuild-gcj-db
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Sat Sep 10 2005 David Walluck <walluck@mandriva.org> 0:1.8.6-5.1mdk
- release

* Mon Aug  1 2005 Gary Benson <gbenson@redhat.com> 0:1.8.6-1jpp_5fc
- Build on ia64, ppc64, s390 and s390x.
- Switch to aot-compile-rpm.

* Wed Jun 29 2005 Gary Benson <gbenson@redhat.com> 0:1.8.6-1jpp_4fc
- Also build ow_util_io.jar, as required by medor.

* Tue Jun 28 2005 Gary Benson <gbenson@redhat.com> 0:1.8.6-1jpp_3fc
- Don't ship the test jarfile.
- BC-compile.

* Wed Jun 22 2005 Gary Benson <gbenson@redhat.com> 0:1.8.6-1jpp_2fc
- Remove.tar.bz2files from the tarball too.

* Thu Jun 16 2005 Gary Benson <gbenson@redhat.com> 0:1.8.6-1jpp_1fc
- Build into Fedora.

* Thu Jun  9 2005 Gary Benson <gbenson@redhat.com>
- Remove jarfiles from the tarball.

* Mon Jun  6 2005 Gary Benson <gbenson@redhat.com>
- Add build dependency on junit, and add it to the classpath.

* Fri Nov 12 2004 Fernando Nasser <fnasser@redhat.com> 0:1.8.6-1jpp_1rh
- Merge with upstream for upgrade

* Fri Nov 12 2004 Fernando Nasser <fnasser@redhat.com> 0:1.8.6-1jpp
- Upgrade to 1.8.6
- No more dependencies on fractal; those were moved to monolog-fractal

* Fri Nov 12 2004 Fernando Nasser <fnasser@redhat.com> 0:1.8.3-1jpp_1rh
- Merge with upstream for upgrade

* Fri Nov 12 2004 Ralph Apel <r.apel at r-apel.de> 0:1.8.3-1jpp
- Upgrade to 1.8.3 from CVS for jonas and some other objectweb packages
- Drop fractal/fractal-util from CLASSPATH: doesn't exist any more
- Drop monolog/ow_monolog from CLASSPATH: not required (but owanttask is!)
- Drop monolog as a BuildRequires
- Drop fractal/fractal-adl from CLASSPATH: not required
- Include source of org.objectweb.fractal.api.control.AttributeController
- Drop fractal as a BuildRequires
- Drop xalan-j2 from CLASSPATH and as a BuildRequires: not used
- There are no non-optional runtime Requires
- There are no external dependencies left, because ADLConverter includes
  sources which are compiled at build time

* Tue Sep 21 2004 Ralph Apel <r.apel at r-apel.de> 0:1.8-2jpp
- Decouple ow_util_ant_tasks.jar, don't include it in package
- Require separate owanttask 1.2
- Still require monolog
- Automatically convert ADL description to ADL 2 for fractal 2.2 during prep

* Mon Aug 23 2004 Fernando Nasser <fnasser@redhat.com> 0:1.8-1jpp
- Upgrade to 1.8
- Rebuilt with Ant 1.6.2

* Thu Jan 29 2004 David Walluck <david@anti-microsoft.org> 0:1.7-2jpp
- don't own %%{_javadir}

* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:1.7-1jpp
- release
